<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<meta name="robots" content="noindex,nofollow">
	<meta name="generator" content="Bludit">

	<!-- Title -->
	<title><?php echo $layout['title'] ?></title>

	<!-- Favicon -->
	<link rel="shortcut icon" type="image/x-icon" href="<?php echo DOMAIN_ADMIN_THEME.'img/favicon.png?version='.BLUDIT_VERSION ?>">

	<!-- CSS -->
	<?php
		echo Theme::cssBootstrap();
		echo Theme::css(array(
			'bludit-bootstrap.css',
			'easymde.min.css',
			'editor.css',
			'bludit.css'
		), DOMAIN_ADMIN_THEME_CSS);
	?>

	<!-- Plugins -->
	<?php Theme::plugins('adminHead') ?>
</head>
<body>

<!-- Plugins -->
<?php Theme::plugins('adminBodyBegin') ?>

<!-- Javascript -->
<?php
	echo Theme::jquery();
	echo Theme::jsBootstrap();
	echo Theme::js(array(
		'easymde.min.js'
	), DOMAIN_ADMIN_THEME_JS);
?>

<!-- Javascript dynamic generated by PHP -->
<?php
	echo '<script charset="utf-8">'.PHP_EOL;
	include(PATH_CORE_JS.'variables.php');
	echo '</script>'.PHP_EOL;

	echo '<script charset="utf-8">'.PHP_EOL;
	include(PATH_CORE_JS.'bludit-ajax.php');
	echo '</script>'.PHP_EOL;
?>

<div class="container h-100">
	<!-- 25%/75% split on large devices, small, medium devices hide -->
	<div class="row h-100">
		<!-- LEFT SIDEBAR - Display only on large devices -->
		<div class="sidebar col-lg-2">
		<?php include('html/sidebar.php'); ?>
		</div>

		<!-- RIGHT MAIN -->
		<div class="main col-lg-10 mt-2 h-100">
		<?php include('html/main.php'); ?>
		</div>
	</div>
</div>

<!-- Plugins -->
<?php Theme::plugins('adminBodyEnd') ?>

</body>
</html>